package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridPeople;
import com.ruoyi.system.domain.grid.GridPeopleExample;
import com.ruoyi.system.domain.grid.vo.GridPeopleSearchParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface GridPeopleMapper {
    long countByExample(GridPeopleExample example);

    int deleteByExample(GridPeopleExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridPeople record);

    int insertSelective(GridPeople record);

    List<GridPeople> selectByExample(GridPeopleExample example);

    GridPeople selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridPeople record, @Param("example") GridPeopleExample example);

    int updateByExample(@Param("record") GridPeople record, @Param("example") GridPeopleExample example);

    int updateByPrimaryKeySelective(GridPeople record);

    int updateByPrimaryKey(GridPeople record);

    List<Map<String, Object>> countGridPeople(@Param("wgCodeLikes") List<String> wgCode);

    List<Map<String, Object>> countGridPeopleByGrid();

    List<Map<String, Object>> countGridPeopleByRkbq(@Param("wgCodeLikes") List<String> wgCode);

    Integer countWsSpecialPeople(@Param("wgCodeLikes") List<String> wgCode);

    List<Map<String, Object>> countGridPeopleRklxByGrid(@Param("wgCodeLikes") List<String> wgCode);

    Integer countByParam(GridPeopleSearchParam param);

    List<GridPeople> listByParam(GridPeopleSearchParam param);
}
